Bug 195943 - Forbid calling Keyring API in EQ
Forbid calling Keyring API in EQ
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
7.0
PC Linux
: P2 (vote)
: 7.0.1
Assigned To: Jiri Rechtacek
issues@db
fix-in-nb701
: 7.0_WAIVER_APPROVED, RANDOM, THREAD
: 188624 195623 196048 196620 207490 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-24 14:20 UTC by Petr Hejl
Modified: 2012-01-25 11:15 UTC (History)
9 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
thread dump as an attachment (23.00 KB, text/plain)
2011-02-24 14:22 UTC, Petr Hejl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hejl 2011-02-24 14:20:52 UTC
Selecting datasource in entity classes from db.


Full thread dump Java HotSpot(TM) 64-Bit Server VM (19.1-b02 mixed mode):

"Inactive RequestProcessor thread [Was:Asynch children creator /null]" daemon prio=10 tid=0x00007f15080dd800 nid=0x2396 in Object.wait() [0x00007f1510c31000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000000fe73f4d0> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0x00000000fe73f4d0> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:TimedSoftReference/org.openide.util.TimedSoftReference]" daemon prio=10 tid=0x00007f15080fb000 nid=0x2395 in Object.wait() [0x00007f150dc3d000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000000fe52ae80> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0x00000000fe52ae80> (a java.lang.Object)

"org.netbeans.modules.db.explorer.node.ConnectionNode" daemon prio=10 tid=0x00007f15153a7000 nid=0x2394 in Object.wait() [0x00007f150d83a000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000000f0423d90> (a java.awt.EventQueue$1AWTInvocationLock)
	at java.lang.Object.wait(Object.java:485)
	at java.awt.EventQueue.invokeAndWait(EventQueue.java:1038)
	- locked <0x00000000f0423d90> (a java.awt.EventQueue$1AWTInvocationLock)
	at org.openide.util.Mutex.doEventAccess(Mutex.java:1391)
	at org.openide.util.Mutex.readAccess(Mutex.java:271)
	at org.netbeans.modules.keyring.fallback.MasterPasswordEncryption.unlockIfNecessary(MasterPasswordEncryption.java:168)
	at org.netbeans.modules.keyring.fallback.MasterPasswordEncryption.unlockIfNecessary(MasterPasswordEncryption.java:154)
	at org.netbeans.modules.keyring.fallback.MasterPasswordEncryption.encrypt(MasterPasswordEncryption.java:120)
	at org.netbeans.modules.keyring.fallback.FallbackProvider._save(FallbackProvider.java:171)
	at org.netbeans.modules.keyring.fallback.FallbackProvider.testSampleKey(FallbackProvider.java:99)
	at org.netbeans.modules.keyring.fallback.FallbackProvider.enabled(FallbackProvider.java:85)
	at org.netbeans.api.keyring.Keyring.provider(Keyring.java:72)
	- locked <0x00000000be055ac0> (a java.lang.Class for org.netbeans.api.keyring.Keyring)
	at org.netbeans.api.keyring.Keyring.read(Keyring.java:93)
	- locked <0x00000000be055ac0> (a java.lang.Class for org.netbeans.api.keyring.Keyring)
	at org.netbeans.modules.db.explorer.DatabaseConnection.restorePassword(DatabaseConnection.java:598)
	- locked <0x00000000fe4fd8a8> (a org.netbeans.modules.db.explorer.DatabaseConnection)
	at org.netbeans.modules.db.explorer.DatabaseConnection.rememberPassword(DatabaseConnection.java:615)
	at org.netbeans.modules.db.explorer.node.ConnectionNode.updateLocalProperties(ConnectionNode.java:169)
	at org.netbeans.modules.db.explorer.node.ConnectionNode.access$200(ConnectionNode.java:74)
	at org.netbeans.modules.db.explorer.node.ConnectionNode$2.run(ConnectionNode.java:316)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)

"pool-1-thread-1" prio=10 tid=0x0000000040ddd000 nid=0x2393 waiting on condition [0x00007f15186cc000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x00000000fe4c5468> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1987)
	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:399)
	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:947)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:907)
	at java.lang.Thread.run(Thread.java:662)

"Inactive RequestProcessor thread [Was:Asynch children creator /org.openide.nodes.AsynchChildren]" daemon prio=10 tid=0x0000000040c68000 nid=0x2392 in Object.wait() [0x00007f150ece7000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000000fe5e7840> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0x00000000fe5e7840> (a java.lang.Object)

"org.netbeans.modules.db.explorer.DatabaseConnectionConvertor" daemon prio=10 tid=0x00007f1509d75800 nid=0x238f waiting for monitor entry [0x00007f150f7f3000]
   java.lang.Thread.State: BLOCKED (on object monitor)
	at org.netbeans.modules.db.explorer.DatabaseConnection.restorePassword(DatabaseConnection.java:590)
	- waiting to lock <0x00000000fe4fd8a8> (a org.netbeans.modules.db.explorer.DatabaseConnection)
	at org.netbeans.modules.db.explorer.DatabaseConnection.rememberPassword(DatabaseConnection.java:615)
	at org.netbeans.modules.db.explorer.DatabaseConnectionConvertor$AtomicWriter.write(DatabaseConnectionConvertor.java:400)
	at org.netbeans.modules.db.explorer.DatabaseConnectionConvertor$AtomicWriter.run(DatabaseConnectionConvertor.java:367)
	at org.openide.filesystems.EventControl.runAtomicAction(EventControl.java:125)
	at org.openide.filesystems.FileSystem.runAtomicAction(FileSystem.java:566)
	at org.netbeans.modules.db.explorer.DatabaseConnectionConvertor$PCL.run(DatabaseConnectionConvertor.java:529)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)

"Inactive RequestProcessor thread [Was:Asynch children creator /null]" daemon prio=10 tid=0x000000004156e800 nid=0x238e in Object.wait() [0x00007f15188cd000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000000fe73fa08> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0x00000000fe73fa08> (a java.lang.Object)

"Default RequestProcessor" daemon prio=10 tid=0x00007f15140ff000 nid=0x238d waiting on condition [0x00007f150e16f000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x00000000fe4c4680> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1987)
	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:399)
	at org.netbeans.modules.db.mysql.impl.ConnectionProcessor.run(ConnectionProcessor.java:147)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)

"Parsing & Indexing Loop (110224-2b9b6ff8da17)" daemon prio=10 tid=0x00000000415e5800 nid=0x2372 waiting on condition [0x00007f150d63a000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x00000000d2035f68> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1987)
	at java.util.concurrent.PriorityBlockingQueue.take(PriorityBlockingQueue.java:220)
	at org.netbeans.modules.parsing.impl.TaskProcessor$CompilationJob.run(TaskProcessor.java:596)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:662)

"DestroyJavaVM" prio=10 tid=0x00007f1514101000 nid=0x234a waiting on condition [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE

"AWT-EventQueue-1" prio=10 tid=0x00007f1514d80800 nid=0x2366 waiting for monitor entry [0x00007f150f2e5000]
   java.lang.Thread.State: BLOCKED (on object monitor)
	at org.netbeans.modules.db.explorer.DatabaseConnection.restorePassword(DatabaseConnection.java:590)
	- waiting to lock <0x00000000fe4fd8a8> (a org.netbeans.modules.db.explorer.DatabaseConnection)
	at org.netbeans.modules.db.explorer.DatabaseConnection.getPassword(DatabaseConnection.java:636)
	at org.netbeans.modules.db.explorer.action.ConnectAction$ConnectionDialogDisplayer.showDialog(ConnectAction.java:182)
	at org.netbeans.modules.db.explorer.DatabaseConnection$4.run(DatabaseConnection.java:1094)
	at org.openide.util.Mutex.doEvent(Mutex.java:1341)
	at org.openide.util.Mutex.readAccess(Mutex.java:348)
	at org.netbeans.modules.db.explorer.DatabaseConnection.showConnectionDialog(DatabaseConnection.java:1091)
	at org.netbeans.api.db.explorer.ConnectionManager.showConnectionDialog(ConnectionManager.java:354)
	at org.netbeans.modules.j2ee.persistence.wizard.fromdb.DBSchemaManager$2.run(DBSchemaManager.java:124)
	at org.netbeans.modules.j2ee.core.api.support.progress.ProgressSupport$ActionInvoker.invokeNextActionsOfSameKind(ProgressSupport.java:270)
	at org.netbeans.modules.j2ee.core.api.support.progress.ProgressSupport$ActionInvoker.invoke(ProgressSupport.java:186)
	at org.netbeans.modules.j2ee.core.api.support.progress.ProgressSupport.invoke(ProgressSupport.java:112)
	at org.netbeans.modules.j2ee.persistence.wizard.fromdb.DBSchemaManager.getSchemaElement(DBSchemaManager.java:223)
	at org.netbeans.modules.j2ee.persistence.wizard.fromdb.DatabaseTablesPanel.updateSourceSchema(DatabaseTablesPanel.java:520)
	at org.netbeans.modules.j2ee.persistence.wizard.fromdb.DatabaseTablesPanel.datasourceComboBoxActionPerformed(DatabaseTablesPanel.java:900)
	at org.netbeans.modules.j2ee.persistence.wizard.fromdb.DatabaseTablesPanel.access$900(DatabaseTablesPanel.java:102)
	at org.netbeans.modules.j2ee.persistence.wizard.fromdb.DatabaseTablesPanel$5.actionPerformed(DatabaseTablesPanel.java:648)
	at javax.swing.JComboBox.fireActionEvent(JComboBox.java:1240)
	at javax.swing.JComboBox.setSelectedItem(JComboBox.java:567)
	at javax.swing.JComboBox.setSelectedIndex(JComboBox.java:603)
	at javax.swing.plaf.basic.BasicComboPopup$Handler.mouseReleased(BasicComboPopup.java:817)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:273)
	at java.awt.Component.processMouseEvent(Component.java:6289)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at javax.swing.plaf.basic.BasicComboPopup$1.processMouseEvent(BasicComboPopup.java:481)
	at java.awt.Component.processEvent(Component.java:6054)
	at java.awt.Container.processEvent(Container.java:2041)
	at java.awt.Component.dispatchEventImpl(Component.java:4652)
	at java.awt.Container.dispatchEventImpl(Container.java:2099)
	at java.awt.Component.dispatchEvent(Component.java:4482)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4577)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
	at java.awt.Container.dispatchEventImpl(Container.java:2085)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4482)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:644)
	at java.awt.EventQueue.access$000(EventQueue.java:85)
	at java.awt.EventQueue$1.run(EventQueue.java:603)
	at java.awt.EventQueue$1.run(EventQueue.java:601)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:98)
	at java.awt.EventQueue$2.run(EventQueue.java:617)
	at java.awt.EventQueue$2.run(EventQueue.java:615)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:614)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:148)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:178)
	at java.awt.Dialog$1.run(Dialog.java:1046)
	at java.awt.Dialog$3.run(Dialog.java:1098)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.Dialog.show(Dialog.java:1096)
	at org.netbeans.core.windows.services.NbPresenter.superShow(NbPresenter.java:1038)
	at org.netbeans.core.windows.services.NbPresenter.doShow(NbPresenter.java:1072)
	at org.netbeans.core.windows.services.NbPresenter.run(NbPresenter.java:1060)
	at org.netbeans.core.windows.services.NbPresenter.run(NbPresenter.java:126)
	at org.openide.util.Mutex.doEventAccess(Mutex.java:1361)
	at org.openide.util.Mutex.readAccess(Mutex.java:271)
	at org.netbeans.core.windows.services.NbPresenter.show(NbPresenter.java:1045)
	at java.awt.Component.show(Component.java:1585)
	at java.awt.Component.setVisible(Component.java:1537)
	at java.awt.Window.setVisible(Window.java:842)
	at java.awt.Dialog.setVisible(Dialog.java:986)
	at org.openide.loaders.TemplateWizard.instantiateImpl(TemplateWizard.java:498)
	at org.openide.loaders.TemplateWizard.instantiate(TemplateWizard.java:377)
	at org.netbeans.modules.project.ui.actions.NewFile.doPerform(NewFile.java:157)
	at org.netbeans.modules.project.ui.actions.NewFile.access$200(NewFile.java:83)
	at org.netbeans.modules.project.ui.actions.NewFile$PopupListener.actionPerformed(NewFile.java:336)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
	at javax.swing.AbstractButton.doClick(AbstractButton.java:357)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:809)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:850)
	at java.awt.Component.processMouseEvent(Component.java:6289)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:6054)
	at java.awt.Container.processEvent(Container.java:2041)
	at java.awt.Component.dispatchEventImpl(Component.java:4652)
	at java.awt.Container.dispatchEventImpl(Container.java:2099)
	at java.awt.Component.dispatchEvent(Component.java:4482)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4577)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
	at java.awt.Container.dispatchEventImpl(Container.java:2085)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4482)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:644)
	at java.awt.EventQueue.access$000(EventQueue.java:85)
	at java.awt.EventQueue$1.run(EventQueue.java:603)
	at java.awt.EventQueue$1.run(EventQueue.java:601)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:98)
	at java.awt.EventQueue$2.run(EventQueue.java:617)
	at java.awt.EventQueue$2.run(EventQueue.java:615)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:614)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:148)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

"TimerQueue" daemon prio=10 tid=0x00007f1514241000 nid=0x2365 in Object.wait() [0x00007f150fc85000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000000d1612d68> (a javax.swing.TimerQueue)
	at javax.swing.TimerQueue.run(TimerQueue.java:232)
	- locked <0x00000000d1612d68> (a javax.swing.TimerQueue)
	at java.lang.Thread.run(Thread.java:662)

"Thread-2" daemon prio=10 tid=0x00007f1515548800 nid=0x2364 in Object.wait() [0x00007f150f5f2000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000000d16c20e0> (a java.util.LinkedList)
	at java.lang.Object.wait(Object.java:485)
	at java.util.prefs.AbstractPreferences$EventDispatchThread.run(AbstractPreferences.java:1461)
	- locked <0x00000000d16c20e0> (a java.util.LinkedList)

"AWT-Shutdown" prio=10 tid=0x00007f1514240000 nid=0x2361 in Object.wait() [0x00007f150fe86000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000000d0ce5088> (a java.lang.Object)
	at java.lang.Object.wait(Object.java:485)
	at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:265)
	- locked <0x00000000d0ce5088> (a java.lang.Object)
	at java.lang.Thread.run(Thread.java:662)

"AWT-XAWT" daemon prio=10 tid=0x00007f15142e9800 nid=0x2360 runnable [0x00007f1510087000]
   java.lang.Thread.State: RUNNABLE
	at sun.awt.X11.XToolkit.waitForEvents(Native Method)
	at sun.awt.X11.XToolkit.run(XToolkit.java:579)
	at sun.awt.X11.XToolkit.run(XToolkit.java:543)
	at java.lang.Thread.run(Thread.java:662)

"Java2D Disposer" daemon prio=10 tid=0x00007f15141cc000 nid=0x235e in Object.wait() [0x00007f1510e46000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000000d0ea11a8> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	- locked <0x00000000d0ea11a8> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:134)
	at sun.java2d.Disposer.run(Disposer.java:127)
	at java.lang.Thread.run(Thread.java:662)

"CLI Requests Server" daemon prio=10 tid=0x00007f15140fb000 nid=0x235b runnable [0x00007f1518ace000]
   java.lang.Thread.State: RUNNABLE
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:408)
	- locked <0x00000000d0d99240> (a java.net.SocksSocketImpl)
	at java.net.ServerSocket.implAccept(ServerSocket.java:462)
	at java.net.ServerSocket.accept(ServerSocket.java:430)
	at org.netbeans.CLIHandler$Server.run(CLIHandler.java:1069)

"Active Reference Queue Daemon" daemon prio=10 tid=0x00007f15140bb800 nid=0x235a in Object.wait() [0x00007f1518f4d000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000000d0ea4190> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	- locked <0x00000000d0ea4190> (a java.lang.ref.ReferenceQueue$Lock)
	at org.openide.util.lookup.implspi.ActiveQueue$Impl.run(ActiveQueue.java:101)
	at java.lang.Thread.run(Thread.java:662)

"Timer-0" daemon prio=10 tid=0x00007f15140a9000 nid=0x2359 in Object.wait() [0x00007f151914e000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000000d0ebf248> (a java.util.TaskQueue)
	at java.util.TimerThread.mainLoop(Timer.java:509)
	- locked <0x00000000d0ebf248> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Low Memory Detector" daemon prio=10 tid=0x00007f1514001800 nid=0x2357 runnable [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE

"CompilerThread1" daemon prio=10 tid=0x0000000040932000 nid=0x2356 waiting on condition [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE

"CompilerThread0" daemon prio=10 tid=0x000000004092f000 nid=0x2355 waiting on condition [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE

"JDWP Event Helper Thread" daemon prio=10 tid=0x0000000040919800 nid=0x2354 runnable [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE

"JDWP Transport Listener: dt_socket" daemon prio=10 tid=0x0000000040915800 nid=0x2353 runnable [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE

"Signal Dispatcher" daemon prio=10 tid=0x000000004090a000 nid=0x2352 waiting on condition [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE

"Finalizer" daemon prio=10 tid=0x00000000408ee000 nid=0x2351 in Object.wait() [0x00007f1519f5a000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000000d068f0e0> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	- locked <0x00000000d068f0e0> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:134)
	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:159)

"Reference Handler" daemon prio=10 tid=0x00000000408e6800 nid=0x2350 in Object.wait() [0x00007f151a15b000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000000d068f078> (a java.lang.ref.Reference$Lock)
	at java.lang.Object.wait(Object.java:485)
	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:116)
	- locked <0x00000000d068f078> (a java.lang.ref.Reference$Lock)

"VM Thread" prio=10 tid=0x00000000408e0000 nid=0x234f runnable 

"GC task thread#0 (ParallelGC)" prio=10 tid=0x0000000040895800 nid=0x234b runnable 

"GC task thread#1 (ParallelGC)" prio=10 tid=0x0000000040897800 nid=0x234c runnable 

"GC task thread#2 (ParallelGC)" prio=10 tid=0x0000000040899000 nid=0x234d runnable 

"GC task thread#3 (ParallelGC)" prio=10 tid=0x000000004089b000 nid=0x234e runnable 

"VM Periodic Task Thread" prio=10 tid=0x00007f1514014000 nid=0x2358 waiting on condition 

JNI global references: 14223

Heap
 PSYoungGen      total 226816K, used 17623K [0x00000000f0160000, 0x00000000ffbc0000, 0x0000000100000000)
  eden space 203008K, 3% used [0x00000000f0160000,0x00000000f0765bf8,0x00000000fc7a0000)
  from space 23808K, 48% used [0x00000000fe480000,0x00000000fefb0060,0x00000000ffbc0000)
  to   space 26688K, 0% used [0x00000000fc7a0000,0x00000000fc7a0000,0x00000000fe1b0000)
 PSOldGen        total 102912K, used 65215K [0x00000000d0400000, 0x00000000d6880000, 0x00000000f0160000)
  object space 102912K, 63% used [0x00000000d0400000,0x00000000d43affe0,0x00000000d6880000)
 PSPermGen       total 147392K, used 97489K [0x00000000b8400000, 0x00000000c13f0000, 0x00000000d0400000)
  object space 147392K, 66% used [0x00000000b8400000,0x00000000be334418,0x00000000c13f0000)
Comment 1 Petr Hejl 2011-02-24 14:22:37 UTC
Created attachment 106411 [details]
thread dump as an attachment
Comment 2 Jiri Rechtacek 2011-02-25 15:09:30 UTC
I can reproduce it too. If I lock gnome-keyring-provider on my ubuntu then IDE freezes in New Entity Classes wizard.
Comment 3 Jiri Rechtacek 2011-02-28 08:07:43 UTC
*** Bug 196048 has been marked as a duplicate of this bug. ***
Comment 4 Jiri Rechtacek 2011-03-04 10:38:00 UTC
*** Bug 188624 has been marked as a duplicate of this bug. ***
Comment 5 Jiri Rechtacek 2011-03-08 11:06:08 UTC
I don't have any patch yet that I'm satisfied with. I my point of view it's too risky to fix it close to CF, anyway.
Comment 6 Jesse Glick 2011-03-09 13:24:18 UTC
DatabaseConnection.getPassword when running in EQ could check whether this is locked. (Well, can't check a Java monitor, but can use java.util.concurrent equivalents.) If so, just return "" or something. Not great but much better than a deadlock.
Comment 7 Stanislav Aubrecht 2011-03-14 09:44:41 UTC
*** Bug 196620 has been marked as a duplicate of this bug. ***
Comment 8 Jiri Rechtacek 2011-04-07 14:04:31 UTC
core-main/rev/4762e7ec74bf
Comment 9 Quality Engineering 2011-04-08 08:51:01 UTC
Integrated into 'main-golden', will be available in build *201104080400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4762e7ec74bf
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #195943: Forbid calling Keyring API in EQ
Comment 10 Jiri Rechtacek 2012-01-25 11:11:25 UTC
*** Bug 195623 has been marked as a duplicate of this bug. ***
Comment 11 Jiri Rechtacek 2012-01-25 11:15:53 UTC
*** Bug 207490 has been marked as a duplicate of this bug. ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo